import 'package:supabase_flutter/supabase_flutter.dart';

class RefManufactorers {
  final SupabaseClient _supabase = Supabase.instance.client;

  Future<List> getList() async {
    final data = await _supabase
        .from('ref_manufactorers')
        .select('manufactorer_name')
        .order('manufactorer_name', ascending: true);
    return data.toList();
  }

  Future<String> getUUID(String name) async {
    final data =
        await _supabase.from('ref_manufactorers').select('ref_manufactorers_uuid').eq('manufactorer_name', name);
    return data.first['ref_manufactorers_uuid'].toString();
  }


}
